Users
Create a user
Create a new user within the organization’s scope.
POST
/
v1
/
organizations
/
{organization_id}
/
users
curl --request POST \
--url https://api.flexxible.net/v1/organizations/{organization_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ana",
"surname": "Lopez",
"email": "[email protected]",
"language": "en-EN",
"role_id": "64f0c2a1b2d3e4f5060708aa",
"department": "Support",
"email_login_enabled": false
}
'{
"id": "64f0c2a1b2d3e4f506070801",
"organization_id": "507f1f77bcf86cd799439011",
"name": "Ana",
"surname": "Lopez",
"email": "[email protected]",
"language": "en-EN",
"created_at": "2026-06-22T16:00:00.000Z",
"department": "Support",
"role_id": "64f0c2a1b2d3e4f5060708aa",
"created_by": "64f0c2a1b2d3e4f5060708bb",
"email_login_enabled": false
}{
"error": {
"message": "Cuerpo de solicitud no valido",
"code": "bad_request",
"details": "email debe ser una direccion valida"
}
}{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}{
"error": {
"message": "Rol de usuario no encontrado",
"code": "not_found"
}
}{
"error": {
"message": "El correo electronico ya existe",
"code": "conflict",
"details": "email ya esta registrado"
}
}{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$Body
application/json
User's name.
Required string length:
1 - 120User's surname.
Required string length:
1 - 120User's email address.
Preferred language code.
Available options:
en-EN, es-ES, pt-BR, ca-ES, eu-ES Identifier of the role assigned to the user.
Required string length:
24Pattern:
^[0-9a-f]{24}$User's department.
Whether email login is enabled for the user.
Response
User created successfully.
User identifier.
Required string length:
24Pattern:
^[0-9a-f]{24}$User's name.
User's surname.
User's email address.
User's preferred language code.
Available options:
en-EN, es-ES, pt-BR, ca-ES, eu-ES Creation date in ISO 8601 format.
Organization identifier associated with the user.
Required string length:
24Pattern:
^[0-9a-f]{24}$User's department.
Identifier of the role assigned to the user.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identifier of the user who created the user record.
Required string length:
24Pattern:
^[0-9a-f]{24}$Indicates if email login is enabled for the user.
⌘I
curl --request POST \
--url https://api.flexxible.net/v1/organizations/{organization_id}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ana",
"surname": "Lopez",
"email": "[email protected]",
"language": "en-EN",
"role_id": "64f0c2a1b2d3e4f5060708aa",
"department": "Support",
"email_login_enabled": false
}
'{
"id": "64f0c2a1b2d3e4f506070801",
"organization_id": "507f1f77bcf86cd799439011",
"name": "Ana",
"surname": "Lopez",
"email": "[email protected]",
"language": "en-EN",
"created_at": "2026-06-22T16:00:00.000Z",
"department": "Support",
"role_id": "64f0c2a1b2d3e4f5060708aa",
"created_by": "64f0c2a1b2d3e4f5060708bb",
"email_login_enabled": false
}{
"error": {
"message": "Cuerpo de solicitud no valido",
"code": "bad_request",
"details": "email debe ser una direccion valida"
}
}{
"error": {
"message": "No autorizado",
"code": "unauthorized"
}
}{
"error": {
"message": "Rol de usuario no encontrado",
"code": "not_found"
}
}{
"error": {
"message": "El correo electronico ya existe",
"code": "conflict",
"details": "email ya esta registrado"
}
}{
"error": {
"message": "Error interno del servidor",
"code": "internal_error"
}
}